Package ru.bitel.bgbilling.modules.bill.server.event

# Class InvoiceCreatedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.modules.bill.server.event.InvoiceCreatedEvent

All Implemented Interfaces:
  `Serializable`

public class InvoiceCreatedEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent
Асинхронное событие - создан счет.
Событие генерируется при создании счета-фактуры в модуле. Используется для скриптов.
Унаследовано от `QueueEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `InvoiceCreatedEvent()`
  ``
  `InvoiceCreatedEvent(int userId, int moduleId, int contractId, int invoiceId)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getInvoiceId()`
  Возвращает идентификатор счета-фактуры.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvoiceCreatedEvent

    protected InvoiceCreatedEvent()

  - ### InvoiceCreatedEvent

    public InvoiceCreatedEvent(int userId, int moduleId, int contractId, int invoiceId)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `moduleId` - - код модуля
      `contractId` - - код договора
      `invoiceId` - - код счета-фактуры в таблице bill_invoice_data_{moduleId}

- ## Method Details

  - ### getInvoiceId

    public int getInvoiceId()
    Возвращает идентификатор счета-фактуры.
    Returns:
      invoiceId - идентификатор счета-фактуры (id в таблице bill_invoice_data_{moduleId})